﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_DTX_RETRY_STRATEGY')
 CREATE TABLE T_CBS_DTX_RETRY_STRATEGY (
FID BIGINT DEFAULT 0 NOT NULL,
FCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTAL_DAYS INT DEFAULT 0 NOT NULL,
FEXPRESS NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIRST_RETRY_COUNT INT DEFAULT 0 ,
FDAY_DECLINE_COUNT INT DEFAULT 0 ,
FMIN_RETRY_COUNT INT DEFAULT 0 ,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_DTX_RETRY_STRATEGY_L')
 CREATE TABLE T_CBS_DTX_RETRY_STRATEGY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_DTX_RETRY_DETAIL')
 CREATE TABLE T_CBS_DTX_RETRY_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ int DEFAULT 0 NOT NULL,
FDAY int DEFAULT 0,
FCOUNT int DEFAULT 0
);