﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_CONFIG_L') 
 CREATE TABLE T_CBS_SHARD_CONFIG_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_LOG') 
 CREATE TABLE T_CBS_SHARD_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATIONLOG NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROGRESSTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_NAME_MAP') 
 CREATE TABLE T_CBS_SHARD_NAME_MAP (
FID BIGINT DEFAULT 0 NOT NULL,
FTABLE_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORIGINAL_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FALIAS_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_PROGRESS') 
 CREATE TABLE T_CBS_SHARD_PROGRESS (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSHARD_TABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARD_TOTAL_RECORD BIGINT DEFAULT 0 NOT NULL,
FSHARD_MOVING_RECORD BIGINT DEFAULT 0 NOT NULL,
FSHARD_PROGRESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FSHARD_INDEX BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_TASK') 
 CREATE TABLE T_CBS_SHARD_TASK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTASKNODE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTASKSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FWARNINGSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FRUNNODE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPROGRESS NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROGRESSDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FTOTAL_RECORD BIGINT DEFAULT 0 NOT NULL,
FMOVING_RECORD BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARDINGFIELDS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTRATEGYZH_CN NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTRATEGYPARAMS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCONFIGID BIGINT DEFAULT 0 NOT NULL,
FPROGRESSSIGN NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_CONFIG') 
 CREATE TABLE T_CBS_SHARD_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTRATEGYZH_CN NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSHARDINGFIELDS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTRATEGYPARAMS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCONFIGSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSION BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FOPERATIONLOG NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRWMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_table.sql **/
